package com.pruebasaplicacion.sergimeli.bletests.adapters;

import android.app.Activity;
import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.ImageView;
import android.widget.TextView;

import com.pruebasaplicacion.sergimeli.bletests.adapters_models.Devices;
import com.pruebasaplicacion.sergimeli.bletests.R;

/**
 * Created by Elerionfly on 15/07/2016.
 */
public class ColoredTextAdapter extends ArrayAdapter<Devices> {

    private Context context;
    private int layoutResourceId;
    private Devices data[] = null;

    public ColoredTextAdapter(Context context, int layoutResourceId, Devices[] data){
        super(context, layoutResourceId, data);
        this.layoutResourceId = layoutResourceId;
        this.context = context;
        this.data = data;
    }

    @Override
    public View getView(int position, View convertView, ViewGroup parent) {
        View row = convertView;
        DevicesHolder holder = null;

        if(row == null){
            LayoutInflater inflater = ((Activity)context).getLayoutInflater();
            row = inflater.inflate(layoutResourceId, parent, false);

            holder = new DevicesHolder();
            holder.imgIcon = (ImageView)row.findViewById(R.id.imgIcon);
            holder.txtTitle = (TextView)row.findViewById(R.id.txtTitle);
            holder.mDevice = (TextView)row.findViewById(R.id.mDevice);
            holder.mDeviceName = (TextView)row.findViewById(R.id.mDeviceName);

            row.setTag(holder);
        }else{
            holder = (DevicesHolder)row.getTag();
        }
        Devices device = data[position];
        holder.txtTitle.setText(device.title);
        holder.imgIcon.setImageResource(device.icon);
        holder.mDevice.setText(device.device);
        holder.mDeviceName.setText(device.devicename);

        return row;
    }

    static class DevicesHolder{ //This class will be used to cache the ImageView and TextView for being reused
        ImageView imgIcon;
        TextView txtTitle;
        TextView mDevice;
        TextView mDeviceName;
    }
 }
