package com.pruebasaplicacion.sergimeli.bletests.adapters;

import android.app.Activity;
import android.content.Context;
import android.graphics.Typeface;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.ImageView;
import android.widget.TextView;

import com.pruebasaplicacion.sergimeli.bletests.R;
import com.pruebasaplicacion.sergimeli.bletests.adapters_models.Users;

/**
 * Created by Elerionfly on 11/08/2016.
 */
public class SimpleSpinnerTextAdapter extends ArrayAdapter<Users> {

    private Context context;
    private int layoutResourceId;
    private Users data[] = null;

    public SimpleSpinnerTextAdapter(Context context, int layoutResourceId, Users[] data){
        super(context, layoutResourceId, data);
        this.layoutResourceId = layoutResourceId;
        this.context = context;
        this.data = data;
    }

    @Override
    public View getView(int position, View convertView, ViewGroup parent) {
        View row = convertView;
        UsersHolder holder = null;

        if(row == null){
            LayoutInflater inflater = ((Activity)context).getLayoutInflater();
            row = inflater.inflate(layoutResourceId, parent, false);

            holder = new UsersHolder();
            holder.txtUser = (TextView)row.findViewById(R.id.simpleLayoutFormatUser);
            row.setTag(holder);
        }else{
            holder = (UsersHolder)row.getTag();
        }
        Users users = data[position];
        holder.txtUser.setText(users.user);

        return row;
    }

    public View getDropDownView(int position, View convertView, ViewGroup parent) {
        UsersHolder holder = null;
        LayoutInflater inflater = ((Activity)context).getLayoutInflater();
        View row = inflater.inflate(R.layout.listview_simple_user_format, parent,
                false);
        holder = new UsersHolder();
        holder.txtUser = (TextView)row.findViewById(R.id.simpleLayoutFormatUser);
        Users users = data[position];
        if (users != null)
        holder.txtUser.setText(users.user);
        return row;
    }

    static class UsersHolder{ //This class will be used to cache the ImageView and TextView for being reused
        TextView txtUser;
    }
}
